<template>
  <v-app class="webapp-default">
    <!-- <admin-bar></admin-bar> -->

    <main-sidebar></main-sidebar>

    <app-header></app-header>

    <v-main>
      <v-container fluid class="mt-10">
        <v-row>
          <!-- <v-col cols="12">
            <v-alert type="warning">
              Запрошенная страница недоступна на вашем языке. Выберите другой язык в нижней части страницы.
            </v-alert>
          </v-col>
          <v-col cols="12">
            <v-alert prominent type="info">
              <v-row align="center">
                <v-col class="grow">
                  <h3>Использование файлов cookie</h3>
                  Мы непрерывно улучшаем наш веб-сайт, делая его еще более полезным и удобным для вас. С помощью файлов
                  cookie мы собираем анонимные данные, которые затем используем для статистики и персонализации.
                  Подробную информацию об этом можно найти в
                  <nuxt-link to="/privacy-policy">Заявлении о конфиденциальности</nuxt-link> и
                  <nuxt-link to="/privacy-policy">Политике использования</nuxt-link> файлов cookie.

                  ---
                  Мы используем файлы cookie для повышения удобства работы с сайтом.
                  В cookie содержатся данные о прошлых посещениях сайта.
                  Если вы не хотите, чтобы эти данные обрабатывались, отключите cookie в настройках браузера.
                </v-col>
                <v-col class="shrink">
                  <v-btn>Okay</v-btn>
                </v-col>
              </v-row>
            </v-alert>
          </v-col> -->
        </v-row>
        <v-row>
          <v-col cols="12">
            <!-- <nuxt keep-alive></nuxt> -->
            <nuxt></nuxt>
          </v-col>
        </v-row>
      </v-container>
    </v-main>

    <app-footer class="mt-5"></app-footer>

    <v-snackbar v-model="snackbarVal" :color="snackbarOptions.color" :timeout="snackbarOptions.timeout" top right>
      {{ snackbarOptions.text }}
      <v-icon small class="ml-3" color="lime" @click="snackbarVal = false" v-text="`mdi-close`"></v-icon>
    </v-snackbar>

    <client-only>
      <cart-sidebar v-if="$route.path !== `${catalogBaseUrl}/cart`"></cart-sidebar>
      <!-- feedback-form></feedback-form> -->
    </client-only>
  </v-app>
</template>

<script>
export default {
  data: vm => ({
    price: 15000,
    initialDark: vm.$vuetify ? vm.$vuetify.theme.dark : false,
  }),

  computed: {
    themeDark() {
      return this.$store.state.themeDark
    },

    snackbarVal: {
      get() {
        return this.$store.state.snackbar.visible
      },
      set(val) {
        this.$store.commit('SET_SNACKBAR', { visible: false })
      },
    },

    snackbarOptions() {
      return this.$store.state.snackbar
    },

    hiddenMenu() {
      const { MENU_KEYS = {} } = process.env
      const { hidden: key = 'hidden_menu' } = MENU_KEYS
      return this.$store.state.layout[key] || []
    },

    catalogBaseUrl() {
      return process.env.CATALOG_BASE_URL
    },
  },

  watch: {
    themeDark(val) {
      this.$vuetify.theme.dark = val
    },
  },

  methods: {
    toggleTheme() {
      this.$store.commit('SET_THEME_DARK', !this.themeDark)
    },
  },
}
</script>

<style lang="scss">
.v-application {
  font-family: $body-font-family;

  .body-1,
  .body-2,
  .caption {
    font-family: $body-font-family;
  }

  .display-4,
  .display-3,
  .display-2,
  .display-1 {
    font-family: $heading-font-family;
  }

  .headline,
  .title,
  .subtitle-2,
  .subtitle-1 {
    font-family: $subheading-font-family;
  }

  .v-breadcrumbs {
    &__item {
      &:hover {
        color: #e93d71;
      }
    }
  }
}
</style>
